#version 130

/* Uniform */
uniform mat4 projection_matrix;
uniform mat4 modelview_matrix;

/* Vector */
in vec3 a_Vertex;
in vec2 a_TexCoord0;
out vec2 texCoord0;
vec4 pos;

/* Main Program */
void main() 
{
	texCoord0 = a_TexCoord0;
	pos = modelview_matrix * vec4(a_Vertex, 1.0);
	gl_Position = projection_matrix * pos;	
}
